RedCrawler API
Scrape V1

Bulk Comments by ID V1

Bulk fetch comments. Accepts any mix of URLs, stripped IDs, or t1_ prefixed IDs. Up to 1500 per call.

POST /api/v1/batch/replies

Bulk fetch comments. Accepts any mix of URLs, stripped IDs, or t1_ prefixed IDs. Up to 1500 per call.

Body parameters

NameTypeRequiredDescription
idsstringYesComma-separated comment identifiers. Accepts: full URLs (https://reddit.com/r/sub/comments/abc/title/xyz/), stripped IDs (xyz), or t1_ prefixed (t1_xyz). Up to 1500.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/batch/replies" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/batch/replies", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/batch/replies"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "items": [
      {
        "subreddit_id": "t5_2qib0",
        "author_is_blocked": false,
        "comment_type": null,
        "edited": false,
        "ups": 231,
        "author_flair_type": "text",
        "total_awards_received": 0,
        "subreddit": "interesting",
        "likes": null,
        "replies": "",
        "saved": false,
        "id": "oix1056",
        "gilded": 0,
        "archived": false,
        "author": "Great-Ad9895",
        "send_replies": true,
        "parent_id": "t1_oiwz7hn",
        "score": 231,
        "author_fullname": "t2_7ta2pq8s",
        "all_awardings": [],
        "body": "Leading the way!",
        "downs": 0,
        "author_flair_css_class": null,
        "collapsed": false,
        "author_flair_richtext": [],
        "is_submitter": false,
        "body_html": "<div class=\"md\"><p>Leading the way!</p>\n</div>",
        "gildings": {},
        "collapsed_reason": null,
        "stickied": false,
        "author_premium": false,
        "link_id": "t3_1syv2e6",
        "unrepliable_reason": null,
        "author_flair_text_color": null,
        "score_hidden": false,
        "permalink": "https://reddit.com/r/interesting/comments/1syv2e6/this_is_how_electric_cars_vs_gasoline_cars_look/oix1056/",
        "subreddit_type": "public",
        "locked": false,
        "name": "t1_oix1056",
        "created": 1777460556,
        "author_flair_text": null,
        "created_utc": 1777460556,
        "subreddit_name_prefixed": "r/interesting",
        "controversiality": 0,
        "author_flair_background_color": null,
        "collapsed_because_crowd_control": null,
        "distinguished": null
      },
      {
        "subreddit_id": "t5_2qib0",
        "author_is_blocked": false,
        "comment_type": null,
        "edited": false,
        "ups": 1768,
        "author_flair_type": "text",
        "total_awards_received": 0,
        "subreddit": "interesting",
        "likes": null,
        "replies": "",
        "saved": false,
        "id": "oiwz7hn",
        "gilded": 0,
        "archived": false,
        "author": "heisenbingus",
        "send_replies": true,
        "parent_id": "t3_1syv2e6",
        "score": 1768,
        "author_fullname": "t2_eouitci7f",
        "all_awardings": [],
        "body": "hot wheels",
        "downs": 0,
        "author_flair_css_class": null,
        "collapsed": false,
        "author_flair_richtext": [],
        "is_submitter": false,
        "body_html": "<div class=\"md\"><p>hot wheels</p>\n</div>",
        "gildings": {},
        "collapsed_reason": null,
        "stickied": false,
        "author_premium": false,
        "link_id": "t3_1syv2e6",
        "unrepliable_reason": null,
        "author_flair_text_color": null,
        "score_hidden": false,
        "permalink": "https://reddit.com/r/interesting/comments/1syv2e6/this_is_how_electric_cars_vs_gasoline_cars_look/oiwz7hn/",
        "subreddit_type": "public",
        "locked": false,
        "name": "t1_oiwz7hn",
        "created": 1777459783,
        "author_flair_text": null,
        "created_utc": 1777459783,
        "subreddit_name_prefixed": "r/interesting",
        "controversiality": 0,
        "author_flair_background_color": null,
        "collapsed_because_crowd_control": null,
        "distinguished": null
      }
    ],
    "count": 2,
    "input_count": 2,
    "batches": 1
  },
  "error": null,
  "timestamp": "2026-04-29T16:25:11.260817+00:00"
}

On this page